What operating systems are compatible with the MyPetzl Light app? - Petzl Belgique
Search

What operating systems are compatible with the MyPetzl Light app?



For your Petzl connected lamp to work with your phone/tablet, it is important that the MyPetzl Light app is compatible with the operating system (OS). MyPetzl Light requires iOS 7.1 or later, or Android 4.3 or later.



Other questions :